# Class Item

java.lang.Object
com.independentsoft.pst.Item

Direct Known Subclasses:
  `Appointment`, `Contact`, `DistributionList`, `Document`, `Journal`, `Message`, `Note`, `Post`, `Task`

public class Item extends Object
The Class Item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Item()`
  `Item(com.independentsoft.msg.Message message)`
  Initializes a new `Item` from a `Message` (e.g.
  `Item(String messageClass)`
  Initializes a new `Item` of the given message class (e.g.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attachment>`
  `getAttachments()`
  Gets the attachments.
  `String`
  `getBillingInformation()`
  Gets the billing information.
  `String`
  `getBody()`
  Gets the body.
  `byte[]`
  `getBodyHtml()`
  Gets the body html.
  `String`
  `getBodyHtmlText()`
  Gets the body html text.
  `byte[]`
  `getBodyRtf()`
  Gets the body rtf.
  `List<String>`
  `getCategories()`
  Gets the categories.
  `Date`
  `getClientSubmitTime()`
  Gets the client submit time.
  `int`
  `getCodePage()`
  Gets the code page.
  `byte[]`
  `getConversationIndex()`
  Gets the conversation index.
  `String`
  `getConversationTopic()`
  Gets the conversation topic.
  `Date`
  `getCreationTime()`
  Gets the creation time.
  `String`
  `getCreatorName()`
  Gets the creator name.
  `boolean`
  `getDisableFullFidelity()`
  Gets the disable full fidelity.
  `String`
  `getDisplayBcc()`
  Gets the display bcc.
  `String`
  `getDisplayCc()`
  Gets the display cc.
  `String`
  `getDisplayTo()`
  Gets the display to.
  `com.independentsoft.msg.Encoding`
  `getEncoding()`
  Gets the encoding.
  `byte[]`
  `getEntryId()`
  Gets the entry id.
  `List<ExtendedProperty>`
  `getExtendedProperties()`
  Gets the extended properties.
  `FlagIcon`
  `getFlagIcon()`
  Gets the flag icon.
  `FlagStatus`
  `getFlagStatus()`
  Gets the flag status.
  `int`
  `getIconIndex()`
  Gets the icon index.
  `long`
  `getId()`
  Gets the id.
  `Importance`
  `getImportance()`
  Gets the importance.
  `String`
  `getInReplyTo()`
  Gets the in reply to.
  `int`
  `getInternetCodePage()`
  Gets the internet code page.
  `String`
  `getInternetMessageId()`
  Gets the internet message id.
  `String`
  `getInternetReferences()`
  Gets the internet references.
  `List<String>`
  `getKeywords()`
  Gets the keywords.
  `Date`
  `getLastModificationTime()`
  Gets the last modification time.
  `String`
  `getLastModifierName()`
  Gets the last modifier name.
  `LastVerbExecuted`
  `getLastVerbExecuted()`
  Gets the last verb executed.
  `Date`
  `getLastVerbExecutionTime()`
  Gets the last verb execution time.
  `String`
  `getMessageClass()`
  Gets the message class.
  `Date`
  `getMessageDeliveryTime()`
  Gets the message delivery time.
  `com.independentsoft.msg.Message`
  `getMessageFile()`
  Gets the message file.
  `com.independentsoft.msg.Message`
  `getMessageFile(com.independentsoft.msg.Encoding encoding)`
  Gets the message file.
  `List<MessageFlag>`
  `getMessageFlags()`
  Gets the message flags.
  `String`
  `getMileage()`
  Gets the mileage.
  `String`
  `getNormalizedSubject()`
  Gets the normalized subject.
  `ObjectType`
  `getObjectType()`
  Gets the object type.
  `String`
  `getOriginalDisplayTo()`
  Gets the original display to.
  `long`
  `getOutlookInternalVersion()`
  Gets the outlook internal version.
  `String`
  `getOutlookVersion()`
  Gets the outlook version.
  `long`
  `getParentId()`
  Gets the parent id.
  `Priority`
  `getPriority()`
  Gets the priority.
  `Date`
  `getProviderSubmitTime()`
  Gets the provider submit time.
  `String`
  `getReceivedByAddressType()`
  Gets the received by address type.
  `String`
  `getReceivedByEmailAddress()`
  Gets the received by email address.
  `byte[]`
  `getReceivedByEntryId()`
  Gets the received by entry id.
  `String`
  `getReceivedByName()`
  Gets the received by name.
  `byte[]`
  `getReceivedBySearchKey()`
  Gets the received by search key.
  `String`
  `getReceivedRepresentingAddressType()`
  Gets the received representing address type.
  `String`
  `getReceivedRepresentingEmailAddress()`
  Gets the received representing email address.
  `byte[]`
  `getReceivedRepresentingEntryId()`
  Gets the received representing entry id.
  `String`
  `getReceivedRepresentingName()`
  Gets the received representing name.
  `byte[]`
  `getReceivedRepresentingSearchKey()`
  Gets the received representing search key.
  `List<Recipient>`
  `getRecipients()`
  Gets the recipients.
  `String`
  `getReplyTo()`
  Gets the reply-to recipient names.
  `String`
  `getReportText()`
  Gets the report text.
  `Date`
  `getReportTime()`
  Gets the report time.
  `byte[]`
  `getRtfCompressed()`
  Gets the rtf compressed.
  `boolean`
  `getRtfInSync()`
  Gets the rtf in sync.
  `byte[]`
  `getSearchKey()`
  Gets the search key.
  `String`
  `getSenderAddressType()`
  Gets the sender address type.
  `String`
  `getSenderEmailAddress()`
  Gets the sender email address.
  `byte[]`
  `getSenderEntryId()`
  Gets the sender entry id.
  `String`
  `getSenderName()`
  Gets the sender name.
  `byte[]`
  `getSenderSearchKey()`
  Gets the sender search key.
  `Sensitivity`
  `getSensitivity()`
  Gets the sensitivity.
  `String`
  `getSentRepresentingAddressType()`
  Gets the sent representing address type.
  `String`
  `getSentRepresentingEmailAddress()`
  Gets the sent representing email address.
  `byte[]`
  `getSentRepresentingEntryId()`
  Gets the sent representing entry id.
  `String`
  `getSentRepresentingName()`
  Gets the sent representing name.
  `byte[]`
  `getSentRepresentingSearchKey()`
  Gets the sent representing search key.
  `int`
  `getSize()`
  Gets the size.
  `String`
  `getSubject()`
  Gets the subject.
  `String`
  `getSubjectPrefix()`
  Gets the subject prefix.
  `Table`
  `getTable()`
  Gets the table.
  `String`
  `getTransportMessageHeaders()`
  Gets the transport message headers.
  `boolean`
  `hasAttachment()`
  Checks for attachment.
  `boolean`
  `isEmbedded()`
  Checks if is embedded.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isReadOnly()`
  Checks if is read only.
  `boolean`
  `isSystem()`
  Checks if is system.
  `void`
  `save(OutputStream outputStream)`
  Save.
  `void`
  `save(OutputStream outputStream, com.independentsoft.msg.Encoding encoding)`
  Save.
  `void`
  `save(String filePath)`
  Save.
  `void`
  `save(String filePath, boolean overwrite)`
  Save.
  `void`
  `save(String filePath, boolean overwrite, com.independentsoft.msg.Encoding encoding)`
  Save.
  `void`
  `save(String filePath, com.independentsoft.msg.Encoding encoding)`
  Save.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Item

    public Item()

  - ### Item

    public Item(String messageClass)
    Initializes a new `Item` of the given message class (e.g. "IPM.Note").
    Parameters:
      `messageClass` - the message class.

  - ### Item

    public Item(com.independentsoft.msg.Message message)
    Initializes a new `Item` from a `Message` (e.g. one loaded from a .msg file). This is the reverse of `getMessageFile()`: it copies the message's properties, recipients and attachments into the item, ready to be added to a folder with addItem.
    Parameters:
      `message` - the source message.

- ## Method Details

  - ### save

    public void save(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save(String filePath, com.independentsoft.msg.Encoding encoding) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `encoding` - the encoding
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save(String filePath, boolean overwrite, com.independentsoft.msg.Encoding encoding) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
      `encoding` - the encoding
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save(OutputStream outputStream, com.independentsoft.msg.Encoding encoding) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
      `encoding` - the encoding
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getMessageFile

    public com.independentsoft.msg.Message getMessageFile()
    Gets the message file.
    Returns:
      the message file

  - ### getMessageFile

    public com.independentsoft.msg.Message getMessageFile(com.independentsoft.msg.Encoding encoding)
    Gets the message file.
    Parameters:
      `encoding` - the encoding
    Returns:
      the message file

  - ### getId

    public long getId()
    Gets the id.
    Returns:
      the id

  - ### getParentId

    public long getParentId()
    Gets the parent id.
    Returns:
      the parent id

  - ### getTable

    public Table getTable()
    Gets the table.
    Returns:
      the table

  - ### getMessageClass

    public String getMessageClass()
    Gets the message class.
    Returns:
      the message class

  - ### getSubject

    public String getSubject()
    Gets the subject.
    Returns:
      the subject

  - ### getSubjectPrefix

    public String getSubjectPrefix()
    Gets the subject prefix.
    Returns:
      the subject prefix

  - ### getNormalizedSubject

    public String getNormalizedSubject()
    Gets the normalized subject.
    Returns:
      the normalized subject

  - ### getBody

    public String getBody()
    Gets the body.
    Returns:
      the body

  - ### getBodyHtml

    public byte[] getBodyHtml()
    Gets the body html.
    Returns:
      the body html

  - ### getBodyHtmlText

    public String getBodyHtmlText()
    Gets the body html text.
    Returns:
      the body html text

  - ### getBodyRtf

    public byte[] getBodyRtf()
    Gets the body rtf.
    Returns:
      the body rtf

  - ### getRtfCompressed

    public byte[] getRtfCompressed()
    Gets the rtf compressed.
    Returns:
      the rtf compressed

  - ### getSearchKey

    public byte[] getSearchKey()
    Gets the search key.
    Returns:
      the search key

  - ### getEntryId

    public byte[] getEntryId()
    Gets the entry id.
    Returns:
      the entry id

  - ### getCreationTime

    public Date getCreationTime()
    Gets the creation time.
    Returns:
      the creation time

  - ### getLastModificationTime

    public Date getLastModificationTime()
    Gets the last modification time.
    Returns:
      the last modification time

  - ### getCreatorName

    public String getCreatorName()
    Gets the creator name.
    Returns:
      the creator name

  - ### getLastModifierName

    public String getLastModifierName()
    Gets the last modifier name.
    Returns:
      the last modifier name

  - ### getIconIndex

    public int getIconIndex()
    Gets the icon index.
    Returns:
      the icon index

  - ### getSize

    public int getSize()
    Gets the size.
    Returns:
      the size

  - ### getInternetCodePage

    public int getInternetCodePage()
    Gets the internet code page.
    Returns:
      the internet code page

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### isReadOnly

    public boolean isReadOnly()
    Checks if is read only.
    Returns:
      true, if is read only

  - ### isSystem

    public boolean isSystem()
    Checks if is system.
    Returns:
      true, if is system

  - ### getDisableFullFidelity

    public boolean getDisableFullFidelity()
    Gets the disable full fidelity.
    Returns:
      the disable full fidelity

  - ### hasAttachment

    public boolean hasAttachment()
    Checks for attachment.
    Returns:
      true, if successful

  - ### getRtfInSync

    public boolean getRtfInSync()
    Gets the rtf in sync.
    Returns:
      the rtf in sync

  - ### getSensitivity

    public Sensitivity getSensitivity()
    Gets the sensitivity.
    Returns:
      the sensitivity

  - ### getFlagStatus

    public FlagStatus getFlagStatus()
    Gets the flag status.
    Returns:
      the flag status

  - ### getObjectType

    public ObjectType getObjectType()
    Gets the object type.
    Returns:
      the object type

  - ### getMessageFlags

    public List<MessageFlag> getMessageFlags()
    Gets the message flags.
    Returns:
      the message flags

  - ### getOutlookVersion

    public String getOutlookVersion()
    Gets the outlook version.
    Returns:
      the outlook version

  - ### getOutlookInternalVersion

    public long getOutlookInternalVersion()
    Gets the outlook internal version.
    Returns:
      the outlook internal version

  - ### getKeywords

    public List<String> getKeywords()
    Gets the keywords.
    Returns:
      the keywords

  - ### getCategories

    public List<String> getCategories()
    Gets the categories.
    Returns:
      the categories

  - ### getBillingInformation

    public String getBillingInformation()
    Gets the billing information.
    Returns:
      the billing information

  - ### getMileage

    public String getMileage()
    Gets the mileage.
    Returns:
      the mileage

  - ### getEncoding

    public com.independentsoft.msg.Encoding getEncoding()
    Gets the encoding.
    Returns:
      the encoding

  - ### isEmbedded

    public boolean isEmbedded()
    Checks if is embedded.
    Returns:
      true, if is embedded

  - ### getRecipients

    public List<Recipient> getRecipients()
    Gets the recipients.
    Returns:
      the recipients

  - ### getAttachments

    public List<Attachment> getAttachments()
    Gets the attachments.
    Returns:
      the attachments

  - ### getExtendedProperties

    public List<ExtendedProperty> getExtendedProperties()
    Gets the extended properties.
    Returns:
      the extended properties

  - ### getReceivedRepresentingAddressType

    public String getReceivedRepresentingAddressType()
    Gets the received representing address type.
    Returns:
      the received representing address type

  - ### getReceivedRepresentingEmailAddress

    public String getReceivedRepresentingEmailAddress()
    Gets the received representing email address.
    Returns:
      the received representing email address

  - ### getReceivedRepresentingEntryId

    public byte[] getReceivedRepresentingEntryId()
    Gets the received representing entry id.
    Returns:
      the received representing entry id

  - ### getReceivedRepresentingName

    public String getReceivedRepresentingName()
    Gets the received representing name.
    Returns:
      the received representing name

  - ### getReceivedRepresentingSearchKey

    public byte[] getReceivedRepresentingSearchKey()
    Gets the received representing search key.
    Returns:
      the received representing search key

  - ### getReceivedByAddressType

    public String getReceivedByAddressType()
    Gets the received by address type.
    Returns:
      the received by address type

  - ### getReceivedByEmailAddress

    public String getReceivedByEmailAddress()
    Gets the received by email address.
    Returns:
      the received by email address

  - ### getReceivedByEntryId

    public byte[] getReceivedByEntryId()
    Gets the received by entry id.
    Returns:
      the received by entry id

  - ### getReceivedByName

    public String getReceivedByName()
    Gets the received by name.
    Returns:
      the received by name

  - ### getReceivedBySearchKey

    public byte[] getReceivedBySearchKey()
    Gets the received by search key.
    Returns:
      the received by search key

  - ### getSenderAddressType

    public String getSenderAddressType()
    Gets the sender address type.
    Returns:
      the sender address type

  - ### getSenderEmailAddress

    public String getSenderEmailAddress()
    Gets the sender email address.
    Returns:
      the sender email address

  - ### getSenderEntryId

    public byte[] getSenderEntryId()
    Gets the sender entry id.
    Returns:
      the sender entry id

  - ### getSenderName

    public String getSenderName()
    Gets the sender name.
    Returns:
      the sender name

  - ### getSenderSearchKey

    public byte[] getSenderSearchKey()
    Gets the sender search key.
    Returns:
      the sender search key

  - ### getSentRepresentingAddressType

    public String getSentRepresentingAddressType()
    Gets the sent representing address type.
    Returns:
      the sent representing address type

  - ### getSentRepresentingEmailAddress

    public String getSentRepresentingEmailAddress()
    Gets the sent representing email address.
    Returns:
      the sent representing email address

  - ### getSentRepresentingEntryId

    public byte[] getSentRepresentingEntryId()
    Gets the sent representing entry id.
    Returns:
      the sent representing entry id

  - ### getSentRepresentingName

    public String getSentRepresentingName()
    Gets the sent representing name.
    Returns:
      the sent representing name

  - ### getSentRepresentingSearchKey

    public byte[] getSentRepresentingSearchKey()
    Gets the sent representing search key.
    Returns:
      the sent representing search key

  - ### getTransportMessageHeaders

    public String getTransportMessageHeaders()
    Gets the transport message headers.
    Returns:
      the transport message headers

  - ### getLastVerbExecuted

    public LastVerbExecuted getLastVerbExecuted()
    Gets the last verb executed.
    Returns:
      the last verb executed

  - ### getImportance

    public Importance getImportance()
    Gets the importance.
    Returns:
      the importance

  - ### getPriority

    public Priority getPriority()
    Gets the priority.
    Returns:
      the priority

  - ### getFlagIcon

    public FlagIcon getFlagIcon()
    Gets the flag icon.
    Returns:
      the flag icon

  - ### getConversationTopic

    public String getConversationTopic()
    Gets the conversation topic.
    Returns:
      the conversation topic

  - ### getDisplayBcc

    public String getDisplayBcc()
    Gets the display bcc.
    Returns:
      the display bcc

  - ### getDisplayCc

    public String getDisplayCc()
    Gets the display cc.
    Returns:
      the display cc

  - ### getDisplayTo

    public String getDisplayTo()
    Gets the display to.
    Returns:
      the display to

  - ### getOriginalDisplayTo

    public String getOriginalDisplayTo()
    Gets the original display to.
    Returns:
      the original display to

  - ### getConversationIndex

    public byte[] getConversationIndex()
    Gets the conversation index.
    Returns:
      the conversation index

  - ### getInternetMessageId

    public String getInternetMessageId()
    Gets the internet message id.
    Returns:
      the internet message id

  - ### getInReplyTo

    public String getInReplyTo()
    Gets the in reply to.
    Returns:
      the in reply to

  - ### getReplyTo

    public String getReplyTo()
    Gets the reply-to recipient names.
    Returns:
      the reply-to

  - ### getInternetReferences

    public String getInternetReferences()
    Gets the internet references.
    Returns:
      the internet references

  - ### getCodePage

    public int getCodePage()
    Gets the code page.
    Returns:
      the code page

  - ### getMessageDeliveryTime

    public Date getMessageDeliveryTime()
    Gets the message delivery time.
    Returns:
      the message delivery time

  - ### getClientSubmitTime

    public Date getClientSubmitTime()
    Gets the client submit time.
    Returns:
      the client submit time

  - ### getProviderSubmitTime

    public Date getProviderSubmitTime()
    Gets the provider submit time.
    Returns:
      the provider submit time

  - ### getReportTime

    public Date getReportTime()
    Gets the report time.
    Returns:
      the report time

  - ### getReportText

    public String getReportText()
    Gets the report text.
    Returns:
      the report text

  - ### getLastVerbExecutionTime

    public Date getLastVerbExecutionTime()
    Gets the last verb execution time.
    Returns:
      the last verb execution time